<div class="documentation-content-container">
  <section class="mat-typography">
    <h2>Preprocessing Input</h2>
    <p>
      The Filte performs a statistical test (two-sample t-test) on each molecule
      independently and ranks them by their p-values. The number of molecules
      below a certain p-value cutoff are provided to the next step. To determine
      the p-value threshold resulting in an optimal number of molecules, p-value
      thresholds ranging from 0.1 to 1e-8 are probed. For each threshold, the
      samples are split into cross-validation folds, of which one fold is used
      for testing classifier accuracy and the remaining ones for molecule
      selection and training the classifier. Then a different set of folds is
      used for training and testing until all folds were used for testing.
      Because the splitting of cross-validation folds is random, the process is
      repeated multiple times to obtain a sufficient sampling of the data.
    </p>
    <p>
      <b>Repeats</b> is the number of repetitions one p-value threshold is
      evaluated. Higher numbers result in longer computation times but more
      reliable sampling of the data.
    </p>
    <p>
      <b>Folds</b> is the number of cross-validation folds in each repetition.
      More folds take more computaion time.
    </p>
  </section>

  <div class="outer-form-container">
    <form [formGroup]="formModel" (ngSubmit)="submitPreprocessingConfig()">
      <div class="inner-form-container pt-4">
        <mat-form-field appearance="outline">
          <mat-label>control group</mat-label>
          <mat-select formControlName="controlGroup">
            <mat-option [value]="controlGroupName">
              {{ controlGroupName }}
            </mat-option>
          </mat-select>
        </mat-form-field>

        <mat-form-field appearance="outline">
          <mat-label>test group</mat-label>
          <mat-select formControlName="testGroup">
            <mat-option
              *ngFor="let option of testGroupOptions"
              [value]="option"
            >
              {{ option }}
            </mat-option>
          </mat-select>
        </mat-form-field>

        <mat-form-field appearance="outline">
          <mat-label>repeats</mat-label>
          <input type="number" matInput formControlName="repeats" />
          <mat-error *ngIf="formModel.get('repeats').invalid">{{
            getErrorMessage(formModel.get("repeats"))
          }}</mat-error>
        </mat-form-field>

        <mat-form-field appearance="outline">
          <mat-label>folds</mat-label>
          <input type="number" matInput formControlName="folds" />
          <mat-error *ngIf="formModel.get('folds').invalid">{{
            getErrorMessage(formModel.get("folds"))
          }}</mat-error>
        </mat-form-field>
      </div>

      <div class="form-button-grid">
        <button
          class="col-span-2"
          [disabled]="!formModel.valid"
          mat-flat-button
          color="accent"
        >
          Next
        </button>
      </div>
    </form>
  </div>
</div>
